<?xml version = '1.0' encoding = 'ISO-8859-1'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >
  <xsl:output  method="html" />
  <xsl:template  match="/" >
    <html>
      <head>
        <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
        <title>KMF de l'Equip de traducci del KDE al catal</title>
      </head>
      <body>
        <h1 style="text-align: center;" >KMF de l'Equip de traducci del KDE al catal</h1>
        <xsl:apply-templates />
      </body>
    </html>
  </xsl:template>
  
<xsl:template  match="root" >
    <xsl:for-each  select="item" >
      <xsl:sort  select="topic" lang="C" />
      <font color="green" >
        <xsl:value-of  select="topic" />:</font>
      <xsl:value-of  select="tip" />
      <table style="text-align: left; width: 100%;" border="1" cellspacing="2" cellpadding="2" >
        <tbody>
          <tr>
            <th width="20%" >
              <center>Paraula clau</center>
            </th>
            <th width="20%" >
              <center>Original</center>
            </th>
            <th width="20%" >
              <center>Incorrecte</center>
            </th>
            <th width="20%" >
              <center>Correcte</center>
            </th>
            <th width="20%" >
              <center>Explicaci</center>
            </th>
          </tr>
          <xsl:apply-templates  select="example" >
            <xsl:sort  select="keyword" lang="C" />
          </xsl:apply-templates>
        </tbody>
      </table>
    </xsl:for-each>
  </xsl:template>
  
<xsl:template  match="example" >
    <tr>
      <td width="20%" >
        <xsl:value-of  select="keyword" />
      </td>
      <td width="20%" >
        <xsl:value-of  select="original" />
      </td>
      <td width="20%" >
        <xsl:value-of  select="wrong" />
      </td>
      <td width="20%" >
        <xsl:value-of  select="right" />
      </td>
      <td width="20%" >
        <xsl:value-of  select="explanation" /> 
        <a href="{link/@URL}"> <xsl:value-of select=" link" /></a>
          </td>
    </tr>
  </xsl:template>
</xsl:stylesheet>